# Support for ARIA

Thank you for using ARIA! This document outlines the various ways you can get support for the project.

## Documentation

Before seeking support, please check if your question is answered in our documentation:
- [Main Documentation](docs/index.md)
- [Frequently Asked Questions](docs/faq.md)
- [Troubleshooting Guide](docs/troubleshooting.md)

## Getting Help

If you need help with ARIA, you have several options:

1. **GitHub Issues**: For bug reports and feature requests, please [create an issue](https://github.com/antenore/ARIA/issues/new/choose) using the appropriate template.

2. **GitHub Discussions**: For questions, ideas, and general discussion, please use [GitHub Discussions](https://github.com/antenore/ARIA/discussions).

3. **Email**: For private inquiries, you can reach the maintainer at antenore@simbiosi.org.

## Response Times

Please note that ARIA is maintained on a part-time basis. Response times to issues, discussions, and emails may vary depending on the maintainer's availability.

## Commercial Support

Currently, there is no dedicated commercial support offering for ARIA. If you require guaranteed response times or dedicated support, please reach out to discuss potential arrangements.

## Supporting ARIA

If you find ARIA useful, please consider supporting its development:

1. **GitHub Sponsors**: Support ongoing development through [GitHub Sponsors](https://github.com/sponsors/antenore).

2. **Contribute**: Help improve ARIA by contributing code, documentation, or testing. See [CONTRIBUTING.md](CONTRIBUTING.md) for details.

3. **Spread the Word**: Star the repository, share it with others, and let people know how you're using ARIA.

Your support helps ensure the continued development and maintenance of this project. Thank you! ❤️
